# Generated by Django 4.1.6 on 2023-02-28 10:03

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0046_alter_mainpeoplepage_options_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="mainhoaxpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "hoax",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="Titulek")),
                                ("hoax", wagtail.blocks.RichTextBlock(label="Hoax")),
                                (
                                    "image",
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="Obrázek"
                                    ),
                                ),
                                (
                                    "image_explanation",
                                    wagtail.blocks.CharBlock(
                                        label="Popis obrázku", required=False
                                    ),
                                ),
                                (
                                    "reality",
                                    wagtail.blocks.RichTextBlock(label="Realita"),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Hoaxy a jejich vysvětlení",
            ),
        ),
    ]
